Subject: bug#27243: another case: dired-auto-revert-buffer jumps point to beginning of buffer

From: Michael Heerdegen <[email-masked]>
Date: Wed, 27 May 2020 07:36:35 +0200

Michael Heerdegen <[email-masked]> writes:

> Does this confirm my suspicions that intermediate redisplay may play a
> role?

Yes, I guess that's it.

In the recipe, when you are in emacs -Q, it's enough to select the
second window before the last step to make the issue happen.

There is no restoration of the old window's window-point, I think it's
the buffer's current value of point that becomes window-point in the
first window.  I verified here that when running the recipe the function
`window-prev-buffers' is never consulted.

Michael.